{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":458,"path":"api-reference/rest-apis/ai-assets-api.md","title":"AI Assets API","bundle":null,"doc_type":null,"release":"australia","body":"\n# AI Assets API\n\nAI Assets API provides endpoints to retrieve, update, and create several types of AI assets, such as systems, data sets, prompts, and models.\n\nThe AI Assets API supports actions that you can perform on AI Asset records in the Expanded Model and Asset Classes application. It requires the Asset Classes \\(sn\\_ent\\) plugin to access it. You must have the asset and model\\_manager roles to call the endpoints provided by the AI Assets API.\n\nThis API belongs in the sn\\_ent namespace.\n\n**Note:** The data included in AI Asset records may be spread across several tables like Product Model, Configuration Item, and others. To reduce complexity when calling this API, however, the AI Assets API inserts data into only the Asset, Product Model and Configuration Item tables. Specifics about table updates are provided under each endpoint.\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## AI Assets API - GET /sn\\_ent/asset/ai\\_dataset/\\{sys\\_id\\}\n\nRetrieves the data of the specified AI dataset asset.\n\n### URL format\n\nVersioned URL: `/api/sn_ent/{api_version}/asset/ai_dataset/{sys_id}`\n\nDefault URL: `/api/sn_ent/asset/ai_dataset/{sys_id}`\n\n### Supported request parameters\n\n<table id=\"table_ksp_xkw_5dc\" class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the asset.Table: AI Dataset Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. Failed to fetch the asset with the given sys\\_id.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table id=\"table_ssp_xkw_5dc\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nDetails of the newly created AI Dataset asset.Data type: Object\n\n```\n\"result\": {\n  \"acceptable_usage\": {Object},\n  \"base_datasets\": [Array],\n  \"created\": \"String\",\n  \"dataset_card\": \"String\",\n  \"data_type\": {Object},\n  \"description\": \"String\",\n  \"documentation\": \"String\",\n  \"display_name\": \"String\",\n  \"managed_by\": {Object},\n  \"name\": \"String\",\n  \"provider\": {Object},\n  \"state\": \"Development\",\n  \"source\": \"String\",\n  \"sys_id\": \"String\",\n  \"updated\": \"String\",\n  \"version\": \"String\",\n}\n```\n\n</td></tr><tr><td>\n\nresult.acceptable\\_usage\n\n</td><td>\n\nAcceptable usage for the AI Dataset Asset record. Acceptable usage refers to how a dataset or model can be used, typically for training or evaluation purposes.Data type: Object\n\n```\n\"acceptable_usage\": {\n  \"label\": \"String\" \n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nresult.acceptable\\_usage.label\n\n</td><td>\n\nDisplay label of the acceptable usage value.Data type: String\n\n</td></tr><tr><td>\n\nresult.acceptable\\_usage.value\n\n</td><td>\n\nThe purpose of the dataset or model, like for training or evaluation.Valid values:\n\n-   `1`: indicates training purpose\n-   `2`: indicates an evaluative purpose\n\nData type: String \\(number\\)\n\n</td></tr><tr><td>\n\nresult.base\\_datasets\n\n</td><td>\n\nComma-separated list of base datasets required to build the given dataset. Accepts the name or sys\\_id of a base data set in the AI Dataset Digital Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\] table.Data type: Array\n\n```\n\"base_datasets\": [\"String\", \"String\"]\n```\n\n</td></tr><tr><td>\n\nresult.created\n\n</td><td>\n\nDate and time that the AI Dataset Asset record was created.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.data\\_type\n\n</td><td>\n\nThe type of data present in the AI Dataset Asset record.Data type: Object\n\n```\n\"data_type\": {\n  \"label\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.data\\_type.label\n\n</td><td>\n\nThe display label for the data type value.Data type: String\n\n</td></tr><tr><td>\n\nresult.data\\_type.value\n\n</td><td>\n\nValue of the dataset asset's data type.Data type: String\n\n</td></tr><tr><td>\n\nresult.dataset\\_card\n\n</td><td>\n\nThe data set card. A dataset\\_card is a metadata document that describes the contents, structure, and context of an AI dataset. It provides details like data sources, features, intended use, and any known limitations to ensure proper understanding and usage.Data type: String\n\n</td></tr><tr><td>\n\nresult.description\n\n</td><td>\n\nDescription of the associated AI Dataset Product Model record.Table: AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.display\\_name\n\n</td><td>\n\nDisplay name of the AI Dataset Asset record.Table: AI Dataset Digital Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.documentation\n\n</td><td>\n\nDocumentation of the associated AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\] table record.Data type: String\n\n</td></tr><tr><td>\n\nresult.managed\\_by\n\n</td><td>\n\nDetails about the user who manages the AI Dataset Asset record.Data type: Object\n\n```\n\"managed_by\": [\n  {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.managed\\_by.name\n\n</td><td>\n\nName of the user who manages the AI Dataset Asset record.Table: User \\[user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.managed\\_by.sys\\_id\n\n</td><td>\n\nSys\\_id of the user who manages the AI Dataset Asset record.Table: User \\[user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.name\n\n</td><td>\n\nName of the associated AI Dataset Product Model record.Table: AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.provider\n\n</td><td>\n\nProvider of the associated AI Dataset Product Model record.Table: AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\]\n\nData type: Object\n\n```\nprovider: {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.provider.name\n\n</td><td>\n\nName of the provider.Table: AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.provider.sys\\_id\n\n</td><td>\n\nSys\\_id of the provider in the associated AI Dataset Product Model record.Table: AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.source\n\n</td><td>\n\nDetails about the source of AI dataset asset.Valid values:\n\n-   Link to the source of the dataset asset.\n-   Details \\(in plain text\\) of the source of the dataset asset. For example, the name of a product or website.\n\nData type: String\n\nDefault: empty or null\n\n</td></tr><tr><td>\n\nresult.state\n\n</td><td>\n\nState of the AI Dataset Asset record.Possible values:\n\n-   In use\n-   Deployed\n-   Retired\n-   Development\n-   Unknown\n-   N/A\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI Dataset Asset record.Table: AI Dataset Digital Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.updated\n\n</td><td>\n\nDate and time that the AI Dataset Asset record was last updated.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.version\n\n</td><td>\n\nVersion number of the associated AI Dataset Product Model record. For example, `V2`.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following example.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_ent/asset/ai_dataset/ cc419cb2331e92101c9aca989d5c7b4c\" \\ \n--request GET \\ \n--header \"Accept:application/json\" \\ \n--user \"username\":\"password\"\n```\n\nOutput:\n\n```\n{ \n  \"result\": { \n    \"sys_id\": \"9d60fb5f40d21210f877b00c113d1fea\", \n    \"display_name\": \"ServiceNow Closed Incidents v1\", \n    \"name\": \"Closed Incidents\", \n    \"description\": \"Incidents with resolution\", \n    \"documentation\": \"Sample Documentation\", \n    \"source\": \"incident table on servicenow instance\", \n    \"dataset_card\": \"Sample Dataset Card\", \n    \"state\": \"Development\", \n    \"version\": \"v1\", \n    \"data_type\": { \n      \"value\": \"2\", \n      \"label\": \"Image\" \n    }, \n    \"provider\": { \n      \"sys_id\": \"93d4ecfac0a8000b6294d71b733977fb\", \n      \"name\": \"ServiceNow\" \n    }, \n    \"managed_by\": { \n      \"sys_id\": \"62826bf03710200044e0bfc8bcbe5df1\", \n      \"name\": \"Abel Tuter\" \n    }, \n    \"acceptable_usage\": { \n      \"value\": \"1\", \n      \"label\": \"Training\" \n    }, \n    \"base_datasets\": [], \n    \"created\": \"2024-12-11 08:50:40\", \n    \"updated\": \"2024-12-11 08:50:40\" \n  } \n}\n```\n\n## AI Assets API - GET /sn\\_ent/asset/ai\\_model/\\{sys\\_id\\}\n\nRetrieves the data of the specified AI model asset.\n\n### URL format\n\nVersioned URL: `/api/sn_ent/{api_version}/asset/ai_model/{sys_id}`\n\nDefault URL: `/api/sn_ent/asset/ai_model/{sys_id}`\n\n### Supported request parameters\n\n<table id=\"table_ksp_xkw_5dc\" class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the asset.Table: AI Model Asset \\[alm\\_ai\\_model\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. Failed to fetch the asset with the given sys\\_id.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table id=\"table_vhh_n4g_zdc\"><thead><tr><th>\n\n \n\n</th><th>\n\n \n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nDetails of the model asset record.Data type: Object\n\n```\nresult: {\n  \"base_model\": {Object},\n  \"context_window\": \"String\",\n  \"created\": \"String\",\n  \"deployment_guideline\": \"String\",\n  \"description\": \"String\",\n  \"display_name\": \"String\",\n  \"documentation\": \"String\",\n  \"evaluation_datasets\": [Array],\n  \"evaluation_metrics_report\": \"String\",\n  \"managed_by\": {Object},\n  \"model_size_in_mb\": \"String\",\n  \"name\": \"String\",\n  \"parameters_info\": \"String\",\n  \"provider\": {Object},\n  \"required_infrastructure\": \"String\",\n  \"source\": \"String\",\n  \"state\": Number,\n  \"supported_languages\": [Array],\n  \"sys_id\": \"String\",\n  \"training_datasets\": [Array],\n  \"training_procedure\": \"String\",\n  \"updated\": \"String\",\n  \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.base\\_model\n\n</td><td>\n\nAI model that this model version was derived from.**Note:** Only applicable for models developed within the organization.\n\nData type: Object\n\n```\n{\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n }\n```\n\nDefault:\n\n</td></tr><tr><td>\n\nresult.base\\_model.name\n\n</td><td>\n\nName of the AI model asset to model this AI model after.Data type: String\n\n</td></tr><tr><td>\n\nresult.base\\_model.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI model asset to model this AI model after.Table: AI Model Asset \\[alm\\_ai\\_model\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.context\\_window\n\n</td><td>\n\nSize of input sequences \\(in other words, the number of tokens\\) that the model can handle.Data type: String represented with a number\n\n</td></tr><tr><td>\n\nresult.created\n\n</td><td>\n\nDate and time that the AI Dataset Asset record was created.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.deployment\\_guideline\n\n</td><td>\n\nInstructions applicable for models developed and deployed within an organization.Data type: String\n\n</td></tr><tr><td>\n\nresult.description\n\n</td><td>\n\nDescription to give the AI Model Product Model. Table: AI Model Product Model \\[cmdb\\_ai\\_model\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.documentation\n\n</td><td>\n\nDocumentation of the AI Prompt Product Model record.Table: AI Prompt Product Model \\[cmdb\\_ai\\_model\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.evaluation\\_datasets\n\n</td><td>\n\nComma-separated list of sys\\_ids or display names of AI datasets of the AI Dataset Digital Asset used for evaluating the model. Mostly applicable for models developed within an organization.\n\nData type: Array\n\n```\n\"evaluation_datasets\": [\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.evaluation\\_metrics\\_report\n\n</td><td>\n\nReference to the evaluation results.Possible values:\n\n-   Details \\(in plain text\\) outlining results\n-   Links to specific results\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.managed\\_by\n\n</td><td>\n\nDetails about the user who manages the AI Model Asset record.Data type: Object\n\n```\n\"managed_by\": [\n  {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.managed\\_by.name\n\n</td><td>\n\nName of the user who manages the AI Dataset Asset record.Table: User \\[user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.managed\\_by.sys\\_id\n\n</td><td>\n\nSys\\_id of the user who manages the AI Dataset Asset record.Table: User \\[user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.model\\_size\\_in\\_mb\n\n</td><td>\n\nSize of the model in MB. Mostly applicable for models developed and deployed within an organization.Data type: Number\n\n</td></tr><tr><td>\n\nresult.name\n\n</td><td>\n\nRequired. Name of the AI Model Product Model. Table: AI Model Product Model \\[cmdb\\_ai\\_model\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.parameters\\_info\n\n</td><td>\n\nProperties of the training data that learn during the learning process. For example: `7B` or `30B`.Data type: String\n\n</td></tr><tr><td>\n\nresult.provider\n\n</td><td>\n\nProvider of the associated AI Dataset Product Model record.Data type: Object\n\n```\nprovider: {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.provider.name\n\n</td><td>\n\nName of the provider.Table: AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.provider.sys\\_id\n\n</td><td>\n\nSys\\_id of the provider in the associated AI Dataset Product Model record.Table: AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.required\\_infrastructure\n\n</td><td>\n\nDocumentation of infrastructure needs for the model deployment. For example, details about the infrastructure stack and processing needs. Mostly applicable for models deployed within an organization.Data type: String\n\n</td></tr><tr><td>\n\nresult.result.display\\_name\n\n</td><td>\n\nDisplay name of the asset record.Data type: String\n\n</td></tr><tr><td>\n\nresult.source\n\n</td><td>\n\nDetails about the source of the model.Possible values:\n\n-   Link to the source of the model. For example, `https://huggingface.co/mistralai/Mixtral-8x7B-Instruct-v0.1` or a link to Github.\n-   Details of the source in plain text. For example, `Microsoft Azure`\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.state\n\n</td><td>\n\nState to apply to the AI Model Asset.Possible values:\n\n-   In use\n-   Deployed\n-   Retired\n-   Development\n-   Unknown\n-   N/A\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.supported\\_languages\n\n</td><td>\n\nLanguages that are supported by the AI Model.Data type: Array\n\n```\n\"supported_languages\": [\n  {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.supported\\_languages.name\n\n</td><td>\n\nName of the Language record. For example, `\"French\", \"English\"`.Table: Language \\[sys\\_language\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.supported\\_languages.sys\\_id\n\n</td><td>\n\nSys\\_id of the Language record.Table: Language \\[sys\\_language\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI model asset record.Table: AI Model Asset \\[alm\\_ai\\_model\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.training\\_datasets\n\n</td><td>\n\nReference to 1+ associated data sets used for training the model.Data type: Array\n\n```\n\"training_datasets\": [\n  { \n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  } \n]\n```\n\n</td></tr><tr><td>\n\nresult.training\\_procedure\n\n</td><td>\n\nType of AI training applied to the model.Possible values:\n\n-   1: Decision Trees\n-   2: Deep Neural Networks\n-   3: Linear Regression\n-   4: Logistic Regression\n-   5: Random Forest\n-   6: Supervised Learning\n-   7: Unsupervised Learning\n-   8: Reinforcement Learning\n-   9: Transfer Learning\n-   10: Semi-Supervised Learning\n-   11: Instruction Finetuning\n-   12: Supervised Finetuning\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.updated\n\n</td><td>\n\nDate and time that the AI model asset was last updated.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.version\n\n</td><td>\n\nVersion for AI Model Product Model. For example, `V2`.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following example.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_ent/asset/ai_model/cc419cb2331e92101c9aca989d5c7b4c\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\nOutput:\n\n```\n{\n  \"result\": {\n    \"sys_id\": \"a438d170ff96da10c1fbffffffffffd5\",\n    \"display_name\": \"ServiceNow Now LLM V6\",\n    \"name\": \"Now LLM\",\n    \"description\": \"enables text-to-text like question answering and summarization\",\n    \"version\": \"V6\",\n    \"provider\": {\n      \"sys_id\": \"93d4ecfac0a8000b6294d71b733977fb\",\n      \"name\": \"ServiceNow\"\n    },\n    \"documentation\": \"Now LLM V5 Documentation\",\n    \"parameters_info\": \"7B\",\n    \"supported_languages\": [\n      {\n        \"sys_id\": \"914493a30f320010e96b0e4fef767e90\",\n        \"name\": \"English\"\n      }\n    ],\n    \"model_size_in_mb\": \"87\",\n    \"deployment_guideline\": \"Deployed on ServiceNow infrastructure\",\n    \"source\": null,\n    \"training_procedure\": \"2\",\n    \"context_window\": \"8000\",\n    \"state\": \"Deployed\",\n    \"required_infrastructure\": \"undefined\",\n    \"base_model\": {\n      \"sys_id\": null,\n      \"name\": \"\"\n    },\n    \"evaluation_datasets\": [\n      {\n        \"sys_id\": \"45cb45baff06d610c1fbffffffffffa9\",\n        \"name\": \"ServiceNow Open Incidents\"\n      }\n    ],\n    \"training_datasets\": [\n      {\n        \"sys_id\": \"45cb45baff06d610c1fbffffffffffa9\",\n        \"name\": \"ServiceNow Open Incidents\"\n      }\n    ],\n    \"evaluation_metrics_report\": \"Testing results: See files attached to this record\",\n    \"managed_by\": {\n      \"sys_id\": \"62826bf03710200044e0bfc8bcbe5df1\",\n      \"name\": \"Abel Tuter\"\n    },\n    \"created\": \"2024-12-03 16:50:53\",\n    \"updated\": \"2024-12-03 16:50:53\"\n  }\n}\n```\n\n## AI Assets API - GET /sn\\_ent/asset/ai\\_prompt/\\{sys\\_id\\}\n\nRetrieves the data of the specified AI prompt asset.\n\nSee also:\n\n-   [AI Assets API - POST /sn\\_ent/asset/ai\\_prompt](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/ai-assets-api.md)\n-   [AI Assets API - PUT /sn\\_ent/asset/ai\\_prompt/\\{sys\\_id\\}](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/ai-assets-api.md)\n\n### URL format\n\nVersioned URL: `/api/sn_ent/{api_version}/asset/ai_prompt/{sys_id}`\n\nDefault URL: `/api/sn_ent/asset/ai_prompt/{sys_id}`\n\n### Supported request parameters\n\n<table id=\"table_ksp_xkw_5dc\" class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the asset.Table: AI Prompt Asset \\[alm\\_ai\\_prompt\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. Failed to fetch the asset with the given sys\\_id.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table id=\"table_ijd_vrn_wdc\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nDetails about the AI Prompt Asset.```\nresult: {\n  \"ai_model\": {Object},\n  \"created\": \"String\",\n  \"description\": \"String\",\n  \"display_name\": \"String\",\n  \"documentation\": \"String\",\n  \"managed_by\": {Object},\n  \"name\": \"String\",\n  \"prompt_info\": \"String\",\n  \"provider\": {Object},\n  \"state\": Number,\n  \"sys_id\": \"String\",\n  \"updated\": \"String\",\n  \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.ai\\_model\n\n</td><td>\n\nAI Model of the AI Prompt Asset record.Data type: Object\n\n```\n\"ai_model\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.ai\\_model.name\n\n</td><td>\n\nName of the AI model.Data type: String\n\n</td></tr><tr><td>\n\nresult.ai\\_model.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI Prompt Product Model record.Table: AI Prompt Product Model \\[alm\\_ai\\_model\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.created\n\n</td><td>\n\nDate and time that the AI Prompt Asset record was created.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.description\n\n</td><td>\n\nDescription of the AI Prompt Product Model record.Table: AI Prompt Product Model \\[cmdb\\_ai\\_prompt\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.display\\_name\n\n</td><td>\n\nDisplay name of the associated AI Prompt Asset record.Table: AI Prompt Asset \\[alm\\_ai\\_prompt\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.documentation\n\n</td><td>\n\nDocumentation for the AI Prompt Product Model record.Table: AI Prompt Product Model \\[cmdb\\_ai\\_prompt\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.managed\\_by\n\n</td><td>\n\nUser who manages the AI Prompt Asset record.Data type: Object\n\n```\n\"managed_by\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.managed\\_by.name\n\n</td><td>\n\nName of the user who manages the asset record.Tables: User \\[sys\\_user\\], AI Prompt Asset \\[alm\\_ai\\_model\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.managed\\_by.sys\\_id\n\n</td><td>\n\nSys\\_id of the User record that corresponds to the Managed by user of the asset record.Tables: User \\[sys\\_user\\], AI Prompt Asset \\[alm\\_ai\\_model\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.name\n\n</td><td>\n\nName of the associated AI Prompt Product Model.Table: AI Prompt Product Model \\[cmdb\\_ai\\_prompt\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.prompt\\_info\n\n</td><td>\n\nPrompt information of the AI Prompt Asset record.Table: AI Prompt Asset \\[alm\\_ai\\_prompt\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.provider\n\n</td><td>\n\nProvider of the AI Prompt Product Model record.Table: AI Prompt Product Model \\[cmdb\\_ai\\_prompt\\_product\\_model\\]\n\n```\n\"provider\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nData type: Object\n\n</td></tr><tr><td>\n\nresult.provider.name\n\n</td><td>\n\nName of the associated AI Prompt Product Model record.Table: AI Prompt Product Model \\[cmdb\\_ai\\_prompt\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.provider.sys\\_id\n\n</td><td>\n\nSys\\_id of the Company table record that corresponds to the provider of the associated AI Prompt Product Model record.Tables: Company \\[core\\_company\\], AI Prompt Product Model \\[cmdb\\_ai\\_prompt\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.state\n\n</td><td>\n\nState of the AI Prompt Asset record.Possible values:\n\n-   In use\n-   Deployed\n-   Retired\n-   Development\n-   Unknown\n-   N/A\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI Prompt Asset record.Table: AI Prompt Asset \\[alm\\_ai\\_prompt\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.updated\n\n</td><td>\n\nDate and time that the AI Prompt Asset record was last updated.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.version\n\n</td><td>\n\nVersion of the associated AI Prompt Product Model record. For example, `V2`.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following example shows how to retrieve information about a AI Prompt Asset Model using a specific ID.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_ent/asset/ai_prompt/cc419cb2331e92101c9aca989d5c7b4c\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\nThe response body returns details about the specific prompt asset model that was retrieved.\n\n```\n{\n  \"result\": {\n    \"sys_id\": \"cc419cb2331e92101c9aca989d5c7b4c\",\n    \"display_name\": \"ServiceNow ServiceNow Incident Summarization Prompt 4 V8\",\n    \"name\": \"ServiceNow Incident Summarization Prompt 4\",\n    \"description\": \"Prompt for Incident Summarization\",\n    \"version\": \"V8\",\n    \"provider\": {\n      \"sys_id\": \"93d4ecfac0a8000b6294d71b733977fb\",\n      \"name\": \"ServiceNow\"\n    },\n    \"documentation\": \"Documentation\",\n    \"state\": \"Development\",\n    \"ai_model\": {\n      \"sys_id\": \"a57d0be6eb1e5210aa82fab8bad0cd18\",\n      \"name\": \"mistral-large\"\n    },\n    \"prompt_info\": \"Provide incident summary using short_decription, state, worknotes\",\n    \"managed_by\": {\n      \"sys_id\": \"62826bf03710200044e0bfc8bcbe5df1\",\n      \"name\": \"Abel Tuter\"\n    },\n    \"created\": \"2024-12-09 03:18:46\",\n    \"updated\": \"2024-12-09 04:26:08\"\n  }\n}\n\n```\n\n## AI Assets API - GET /sn\\_ent/asset/ai\\_system/\\{sys\\_id\\}\n\nRetrieves the data of the specified AI system asset.\n\n### URL format\n\nVersioned URL: `/api/sn_ent/{api_version}/asset/ai_system/{sys_id}`\n\nDefault URL: `/api/sn_ent/asset/ai_system/{sys_id}`\n\n### Supported request parameters\n\n<table id=\"table_ksp_xkw_5dc\" class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the asset.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. Failed to fetch the asset with the given sys\\_id.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table id=\"table_ssp_xkw_5dc\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nDetails about the retrieved AI System Asset.```\nresult: {\n  \"ai_models\": [Array],\n  \"ai_prompts\": [Array],\n  \"created\": \"String\",\n  \"description\": \"String\",\n  \"display_name\": \"String\",\n  \"documentation\": \"String\",\n  \"evaluation_datasets\": [Array],\n  \"evaluation_metrics_report\": \"String\",\n  \"managed_by\": {Object},\n  \"name\": \"String\",\n  \"provider\": {Object},\n  \"state\": Number,\n  \"sys_id\": \"String\",\n  \"updated\": \"String\",\n  \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.ai\\_models\n\n</td><td>\n\nList of AI models in the AI System Digital Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: Array\n\n```\n\"ai_models\": [\n  {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.ai\\_models.name\n\n</td><td>\n\nName of the AI System Digital Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.ai\\_models.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI System Digital Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.ai\\_prompts\n\n</td><td>\n\nList of AI Prompts in the AI System Asset record.Data type: Array\n\n```\n\"ai_prompts\": [\n  {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.ai\\_prompts.name\n\n</td><td>\n\nName of the AI prompt.Data type: String\n\n</td></tr><tr><td>\n\nresult.ai\\_prompts.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI Prompt Digital Asset record.Table: AI Prompt Digital Asset \\[alm\\_ai\\_prompt\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.created\n\n</td><td>\n\nDate and time that the AI System Asset was created.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.description\n\n</td><td>\n\nDescription of the associated AI System Product Model record. Table: AI System Product Model \\[cmdb\\_ai\\_system\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.display\\_name\n\n</td><td>\n\nDisplay name of the AI System Asset record.Table: AI System Asset \\[cmdb\\_ai\\_ system\\_asset\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.documentation\n\n</td><td>\n\nDocumentation for the AI System Product System record.Table: AI System Product System \\[cmdb\\_ai\\_system\\_product\\_system\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.evaluation\\_datasets\n\n</td><td>\n\nList of AI datasets used for evaluating the model in the AI System Digital Asset record. Mostly applicable for models developed within an organization.Tables: AI Dataset Digital Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\], AI System Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: Array\n\n```\n\"evaluation_datasets\": [\n  {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  }\n]\n```\n\nDefault: empty string\n\n</td></tr><tr><td>\n\nresult.evaluation\\_datasets.name\n\n</td><td>\n\nName of the AI Dataset Digital Asset.Data type: String\n\n</td></tr><tr><td>\n\nresult.evaluation\\_datasets.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI Dataset Digital Asset record.Table: AI Dataset Digital Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.evaluation\\_metrics\\_report\n\n</td><td>\n\nEvaluation results of the AI system asset record.Possible values:\n\n-   Details \\(in plain text\\) outlining results\n-   Links to specific results\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.managed\\_by\n\n</td><td>\n\nDetails about the user who manages the AI System Asset record.Data type: Object\n\n```\n\"managed_by\": [\n  {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.managed\\_by.name\n\n</td><td>\n\nSys\\_id of the user who manages the AI System Asset record.Table: User \\[user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.managed\\_by.sys\\_id\n\n</td><td>\n\nName of the user who manages the AI System Asset record.Table: User \\[user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.name\n\n</td><td>\n\nName of the associated AI System Product Model record.Table: AI System Product Model \\[cmdb\\_ai\\_system\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.provider\n\n</td><td>\n\nValue of the Provider field in the associated AI System Product Model record.Table: AI System Product Model \\[cmdb\\_ai\\_ system\\_product\\_model\\]\n\nData type: Object\n\n```\nprovider: {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.provider.name\n\n</td><td>\n\nName of the provider in the associated AI System Product Model record.Table: AI System Product Model \\[cmdb\\_ai\\_system\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.provider.sys\\_id\n\n</td><td>\n\nSys\\_id of the provider in the associated AI System Product Model record.Table: AI System Product Model \\[cmdb\\_ai\\_system\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.state\n\n</td><td>\n\nState of the AI System Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nPossible values:\n\n-   In use\n-   Deployed\n-   Retired\n-   Development\n-   Unknown\n-   N/A\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI System Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.updated\n\n</td><td>\n\nDate and time that the AI System Asset was last updated.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.version\n\n</td><td>\n\nVersion number of the associated AI System Product Model record. For example, `V2`.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following example shows how to retrieve an AI System Model Asset with a given ID.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_ent/asset/ai_system/3b140397435a9210a63d00002fb8f2d7\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\nThe response body returns details about the given AI System Model Asset.\n\n```\n{\n  \"result\": {\n      \"sys_id\": \"3b140397435a9210a63d00002fb8f2d7\",\n      \"display_name\": \"ServiceNow Incident Summarization V2\",\n      \"name\": \"Incident Summarization\",\n      \"description\": \"Incident Summarization Skill\",\n      \"version\": \"V2\",\n      \"provider\": {\n        \"sys_id\": \"93d4ecfac0a8000b6294d71b733977fb\",\n        \"name\": \"ServiceNow\"\n      },\n      \"documentation\": \"Sample Documentation\",\n      \"state\": \"Deployed\",\n      \"ai_models\": [{ \n        \"sys_id\": \"9tgdc7e6eb1e5210aa82fab8bad0cda2\", \n        \"name\": \"llm_generic_small\" \n      },\n      { \n        \"sys_id\": \"7efdc7e6eb1e5210aa82fab8bad0cda2\", \n        \"name\": \"mixtral-instruct\" \n      }],\n      \"ai_prompts\": [{ \n        \"sys_id\": \"7d7dc7e6eb1e5210aa82fab8bad0cda2\", \n        \"name\": \"LLM Prompt\" \n      }],\n      \"evaluation_datasets\": [{ \n        \"sys_id\": \"9d7dc7e6eb1e5210aa82fab8bad0cda2\", \n        \"name\": \"Base dataset\" \n      }],\n      \"evaluation_metrics_report\": \"Sample Report\",\n      \"managed_by\": {\n        \"sys_id\": \"62826bf03710200044e0bfc8bcbe5df1\",\n        \"name\": \"Abel Tuter\"\n      },\n      \"created\": \"2024-12-11 18:23:09\",\n      \"updated\": \"2024-12-11 18:23:09\"\n  }\n}\n```\n\n## AI Assets API - POST /sn\\_ent/asset/ai\\_dataset\n\nCreates a new AI dataset asset entry in the AI Dataset Digital Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\] and AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\] according to details you provide in the request body.\n\n### URL format\n\nVersioned URL: `/api/sn_ent/{api_version}/asset/ai_dataset`\n\nDefault URL: `/api/sn_ent/asset/ai_dataset`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n\\{object\\}\n\n</td><td>\n\n```\n{\n  \"acceptable_usage\": \"String\",\n  \"base_datasets\": [Array],\n  \"dataset_card\": \"String\"\n  \"data_type\": \"String\",\n  \"description\": \"String\",\n  \"documentation\": \"String\",\n  \"managed_by\": \"String\", \n  \"name\": \"String\", \n  \"provider\": \"String\",\n  \"state\": \"String\" \n  \"source\": \"String\",\n  \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\n\\{object\\}.acceptable\\_usage\n\n</td><td>\n\nThe purpose of the dataset or model, like for training or evaluation.Valid values:\n\n-   `1`: indicates training purpose\n-   `2`: indicates an evaluative purpose\n\nData type: String \\(number\\)\n\n</td></tr><tr><td>\n\n\\{object\\}.base\\_datasets\n\n</td><td>\n\nComma-separated list of base datasets needed to build this dataset. Accepts names or sys\\_ids of datasets present in AI Dataset Digital Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\] table.Data type: Array\n\n```\n“base_datasets”: [\"String\", “String\"]\n```\n\n</td></tr><tr><td>\n\n\\{object\\}.data\\_type\n\n</td><td>\n\nType of data present in the dataset. For example, `Text,Video,Image` or `1,2`.Data type: String\n\n</td></tr><tr><td>\n\n\\{object\\}.dataset\\_card\n\n</td><td>\n\nThe data set card. A dataset\\_card is a metadata document that describes the contents, structure, and context of an AI dataset. It provides details like data sources, features, intended use, and any known limitations to ensure proper understanding and usage.Data type: String\n\n</td></tr><tr><td>\n\n\\{object\\}.description\n\n</td><td>\n\nDescription of the associated AI Dataset Product Model.Table: AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\n\\{object\\}.documentation\n\n</td><td>\n\nDocumentation for the AI Dataset Product Model.Table: AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\n\\{object\\}.managed\\_by\n\n</td><td>\n\nSys\\_id or name value of the user in the Managed by field of the AI Dataset Product Model record. Tables: User \\[sys\\_user\\], AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\n\\{object\\}.name\n\n</td><td>\n\nRequired. Name of the associated record in the AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\] table.Data type: String\n\n</td></tr><tr><td>\n\n\\{object\\}.provider\n\n</td><td>\n\nRequired. Sys\\_id or name value of the Provider field of the Company \\[core\\_company\\] table record.Data type: String\n\n</td></tr><tr><td>\n\n\\{object\\}.source\n\n</td><td>\n\nDetails about the source of the dataset.Valid values:\n\n-   Link to the source of the dataset.\n-   Details of the source in plain text.\n\nData type: String\n\nDefault: empty or null\n\n</td></tr><tr><td>\n\n\\{object\\}.state\n\n</td><td>\n\nState of the AI dataset asset.Valid values:\n\n-   In use\n-   Deployed\n-   Retired\n-   Development\n-   Unknown\n-   N/A\n\nData type: String\n\n</td></tr><tr><td>\n\n\\{object\\}.version\n\n</td><td>\n\nVersion number of the associated AI Dataset Product Model record. For example, `V2`.Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nDetails of the newly created AI Dataset asset.Data type: Object\n\n```\n\"result\": {\n  \"acceptable_usage\": {Object},\n  \"base_datasets\": [Array],\n  \"created\": \"String\",\n  \"dataset_card\": \"String\",\n  \"data_type\": {Object},\n  \"description\": \"String\",\n  \"documentation\": \"String\",\n  \"display_name\": \"String\",\n  \"managed_by\": {Object},\n  \"name\": \"String\",\n  \"provider\": {Object},\n  \"state\": \"Development\",\n  \"source\": \"String\",\n  \"sys_id\": \"String\",\n  \"updated\": \"String\",\n  \"version\": \"String\",\n}\n```\n\n</td></tr><tr><td>\n\nresult.acceptable\\_usage\n\n</td><td>\n\nAcceptable usage for the AI Dataset Asset record. Acceptable usage refers to how a dataset or model can be used, typically for training or evaluation purposes.Data type: Object\n\n```\n\"acceptable_usage\": {\n  \"label\": \"String\" \n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nresult.acceptable\\_usage.label\n\n</td><td>\n\nDisplay label of the acceptable usage value.Data type: String\n\n</td></tr><tr><td>\n\nresult.acceptable\\_usage.value\n\n</td><td>\n\nThe purpose of the dataset or model, like for training or evaluation.Valid values:\n\n-   `1`: indicates training purpose\n-   `2`: indicates an evaluative purpose\n\nData type: String \\(number\\)\n\n</td></tr><tr><td>\n\nresult.base\\_datasets\n\n</td><td>\n\nComma-separated list of base datasets required to build the given dataset. Accepts the name or sys\\_id of a base data set in the AI Dataset Digital Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\] table.Data type: Array\n\n```\n\"base_datasets\": [\"String\", \"String\"]\n```\n\n</td></tr><tr><td>\n\nresult.created\n\n</td><td>\n\nDate and time that the AI Dataset Asset record was created.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.data\\_type\n\n</td><td>\n\nThe type of data present in the AI Dataset Asset record.Data type: Object\n\n```\n\"data_type\": {\n  \"label\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.data\\_type.label\n\n</td><td>\n\nThe display label for the data type value.Data type: String\n\n</td></tr><tr><td>\n\nresult.data\\_type.value\n\n</td><td>\n\nValue of the dataset asset's data type.Data type: String\n\n</td></tr><tr><td>\n\nresult.dataset\\_card\n\n</td><td>\n\nThe data set card. A dataset\\_card is a metadata document that describes the contents, structure, and context of an AI dataset. It provides details like data sources, features, intended use, and any known limitations to ensure proper understanding and usage.Data type: String\n\n</td></tr><tr><td>\n\nresult.description\n\n</td><td>\n\nDescription of the associated AI Dataset Product Model record.Table: AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.display\\_name\n\n</td><td>\n\nDisplay name of the AI Dataset Asset record.Table: AI Dataset Digital Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.documentation\n\n</td><td>\n\nDocumentation of the associated AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\] table record.Data type: String\n\n</td></tr><tr><td>\n\nresult.managed\\_by\n\n</td><td>\n\nDetails about the user who manages the AI Dataset Asset record.Data type: Object\n\n```\n\"managed_by\": [\n  {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.managed\\_by.name\n\n</td><td>\n\nName of the user who manages the AI Dataset Asset record.Table: User \\[user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.managed\\_by.sys\\_id\n\n</td><td>\n\nSys\\_id of the user who manages the AI Dataset Asset record.Table: User \\[user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.name\n\n</td><td>\n\nName of the associated AI Dataset Product Model record.Table: AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.provider\n\n</td><td>\n\nProvider of the associated AI Dataset Product Model record.Table: AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\]\n\nData type: Object\n\n```\nprovider: {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.provider.sys\\_id\n\n</td><td>\n\nSys\\_id of the provider in the associated AI Dataset Product Model record.Table: AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.provider.name\n\n</td><td>\n\nName of the provider.Table: AI Dataset Product Model \\[cmdb\\_ai\\_dataset\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.source\n\n</td><td>\n\nDetails about the source of AI dataset asset.Valid values:\n\n-   Link to the source of the dataset asset.\n-   Details \\(in plain text\\) of the source of the dataset asset. For example, the name of a product or website.\n\nData type: String\n\nDefault: empty or null\n\n</td></tr><tr><td>\n\nresult.state\n\n</td><td>\n\nState of the AI Dataset Asset record.Possible values:\n\n-   In use\n-   Deployed\n-   Retired\n-   Development\n-   Unknown\n-   N/A\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI Dataset Asset record.Table: AI Dataset Digital Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.updated\n\n</td><td>\n\nDate and time that the AI Dataset Asset record was last updated.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.version\n\n</td><td>\n\nVersion number of the associated AI Dataset Product Model record. For example, `V2`.Data type: String\n\n</td></tr><tr><td>\n\nresult.warnings\n\n</td><td>\n\nComma-separated list of warning messages that are present when creating the dataset. These warnings can be validation checks, such as when the sys\\_id of an optional parameter is invalid.Data type: Array\n\n```\n\"warnings\": [\"String\"]\n```\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following example shows how to create a new AI dataset asset record.\n\n```\ncurl -X POST 'https://instance.servicenow.com/api/sn_ent/asset/ai_dataset' \\ \n  -H 'Accept: application/json' \\ \n  -H 'Content-Type: application/json' \\ \n  -u 'username':'password' \\ \n  -d ' { \n  \"name\": \"Dataset One\", \n  \"description\": \"Description for dataset \", \n  \"provider\": \"servicenow\", \n  \"version\": \"V1\", \n  \"state\": 31, \n  \"source”: \"Source of dataset”,\n  \"documentation\": \"document\", \n  \"dataset_card”: \"Dataset Card”, \n  \"base_datasets”: [\"Dataset Two”, \"Dataset Three”], \n  \"data_type”: \"1,2”, \n  \"acceptable_usage”: \"1,2”, \n  \"managed_by\": \"abel.tuter\" \n}'\n```\n\nResponse body. The results of the newly created dataset asset record.\n\n```\n{ \n  \"result\": { \n    \"asset\": { \n      \"sys_id\": \"da8393eb40d25210f877b00c113d1fc1\", \n      \"display_name\": \"ServiceNow Closed Incidents\", \n      \"name\": \"Closed Incidents\", \n      \"description\": \"Incidents with resolution\", \n      \"documentation\": \"Sample Documentation\", \n      \"source\": \"incident table on servicenow instance\", \n      \"dataset_card\": \"Dataset Card\", \n      \"state\": \"Deployed\", \n      \"version\": null, \n      \"data_type\": { \n        \"value\": \"1\", \n        \"label\": \"Text\" \n      }, \n      \"provider\": { \n        \"sys_id\": \"93d4ecfac0a8000b6294d71b733977fb\", \n        \"name\": \"ServiceNow\" \n      }, \n      \"managed_by\": { \n        \"sys_id\": \"undefined\", \n        \"name\": \"\" \n      }, \n      \"acceptable_usage\": { \n        \"value\": \"1\", \n        \"label\": \"Training\" \n      }, \n      \"base_datasets\": [], \n      \"created\": \"2024-12-12 01:23:03\", \n      \"updated\": \"2024-12-12 01:23:03\" \n    }, \n    \"warnings\": [] \n       } \n}\n```\n\n## AI Assets API - POST /sn\\_ent/asset/ai\\_prompt\n\nCreates a new AI prompt asset entry in the AI Prompt Digital Asset \\[alm\\_ai\\_prompt\\_digital\\_asset\\] and AI Prompt Product Model \\[cmdb\\_ai\\_promt\\_product\\_model\\] tables according to details you provide in the request body.\n\n### URL format\n\nVersioned URL: `/api/sn_ent/{api_version}/asset/ai_prompt`\n\nDefault URL: `/api/sn_ent/asset/ai_prompt`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table id=\"id_tqz_jgh_zdc\" class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nobject\n\n</td><td>\n\nRequired. Content of the AI Prompt asset to update.Data type: Object\n\n```\n{\n  \"ai_model\": \"String\",\n  \"description\": \"String\",\n  \"documentation\": \"String\",\n  \"managed_by\": \"String\" \n  \"name\": \"String\",\n  \"prompt_info\": \"String\", \n  \"provider\": \"String\",\n  \"state\": Number,\n  \"version\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nai\\_model\n\n</td><td>\n\nName of sys\\_id value of the AI Model field in the AI Model Digital Asset record.Table: AI Model Digital Asset \\[alm\\_ai\\_model\\_digital\\_asset\\]\n\nData type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription to give the AI Prompt Product Model.Table: AI Prompt Product Model \\[cmdb\\_ai\\_prompt\\_product\\_model\\]\n\nData type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\ndocumentation\n\n</td><td>\n\nDocumentation of the AI Prompt Product Model.Table: AI Prompt Product Model \\[cmdb\\_ai\\_prompt\\_product\\_model\\]\n\nData type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\nmanaged\\_by\n\n</td><td>\n\nName or sys\\_id of the user that manages the asset. Located in the Managed by field of the asset record.Tab;e: User \\[sys\\_user\\]\n\nData type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nRequired. Name of the associated record in the AI Prompt Product Model \\[cmdb\\_ai\\_prompt\\_product\\_model\\] table.Data type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\nprompt\\_info\n\n</td><td>\n\nPrompt information for AI Prompt Asset.Data type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\nprovider\n\n</td><td>\n\nRequired. Provider name or sys\\_id of the Company table record.Table: Company \\[core\\_company\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState to apply to the AI Model Asset. For example, Valid values:\n\n-   In use\n-   Deployed\n-   Retired\n-   Development\n-   Unknown\n-   N/A\n\nData type: String\n\n</td></tr><tr><td>\n\nversion\n\n</td><td>\n\nVersion number to assign the AI Prompt Product Model. For example, `V2`.Data type: String\n\nDefault: empty string\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"table_ssp_xkw_5dc\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nResults of the new AI asset prompt.Data type: Object\n\n```\n\"result\": { \n    \"asset\": Object, \n    \"warnings\": [Array] \n }\n```\n\n</td></tr><tr><td>\n\nresult.asset\n\n</td><td>\n\nDetails about the newly created entry.Data type: Object\n\n```\n\"asset\": {\n  \"ai_model\": [Array],\n  \"ai_prompts\": [Array]\n  \"created\": \"String\",\n  \"description\": \"String\",\n  \"display_name\": \"String\",\n  \"documentation\": \"String\",\n  \"evaluation_datasets\": [Array],\n  \"evaluation_metrics_report\": String,\n  \"managed_by\": Object,\n  \"name\": \"String\",\n  \"provider\": Object,\n  \"state\": \"String\",\n  \"sys_id\": \"String\",\n  \"updated\": \"String\",\n  \"version\": \"String\",\n  \"warnings\": [Array]\n}\n```\n\n</td></tr><tr><td>\n\nresult.asset.ai\\_model\n\n</td><td>\n\nList of AI models in the AI System Asset table record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: Array\n\n```\n\"ai_model\": [\n  {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.asset.ai\\_models.name\n\n</td><td>\n\nName of the AI System Digital Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.ai\\_models.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI System Digital Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.ai\\_prompts\n\n</td><td>\n\nList of AI Prompts of the AI System Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: Array\n\n```\n\"ai_prompts\": [\n  {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.asset.ai\\_prompts.name\n\n</td><td>\n\nName of the AI prompt.Data type: String\n\n</td></tr><tr><td>\n\nresult.asset.ai\\_prompts.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI System Digital Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.created\n\n</td><td>\n\nDate and time that the AI model asset was created.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.description\n\n</td><td>\n\nDescription of the associated AI System Product Model record. Table: AI System Product Model \\[cmdb\\_ai\\_system\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.display\\_name\n\n</td><td>\n\nDisplay name of the AI System Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.documentation\n\n</td><td>\n\nDocumentation of the associated AI System Product Model record.Table: AI System Product Model \\[cmdb\\_ai\\_ system\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.evaluation\\_datasets\n\n</td><td>\n\nList of sys\\_ids or display names of the AI datasets used to evaluate the AI system asset model. Mostly applicable for models developed within an organization.Tables: AI Dataset Digital Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\], AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: Array\n\n```\n\"evaluation_datasets\": [\n  {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.asset.evaluation\\_datasets.name\n\n</td><td>\n\nName of the AI Dataset Digital Asset.Data type: String\n\n</td></tr><tr><td>\n\nresult.asset.evaluation\\_datasets.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI System Digital Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.evaluation\\_metrics\\_report\n\n</td><td>\n\nEvaluation results of the AI system asset.Possible values:\n\n-   Details \\(in plain text\\) outlining results\n-   Links to specific results\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.managed\\_by\n\n</td><td>\n\nDetails about the user who manages the asset.Data type: Object\n\n```\n\"managed_by\": [\n  {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.asset.managed\\_by.name\n\n</td><td>\n\nName of the user who manages the AI model asset record.Table: User \\[user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.managed\\_by.sys\\_id\n\n</td><td>\n\nSys\\_id of the user who manages the AI model asset record.Table: User \\[user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.name\n\n</td><td>\n\nName of the associated AI System Product Model record.Table: AI System Product Model \\[cmdb\\_ai\\_system\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.provider\n\n</td><td>\n\nValue of the provider field in the associated AI System Product Model record.Table: AI System Product Model \\[cmdb\\_ai\\_ system\\_product\\_model\\]\n\nData type: Object\n\n```\nprovider: {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.asset.provider.name\n\n</td><td>\n\nName of the provider in the associated AI System Product Model record.Table: AI System Product Model \\[cmdb\\_ai\\_ system\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.provider.sys\\_id\n\n</td><td>\n\nSys\\_id of the provider in the associated AI System Product Model record.Table: AI System Product Model \\[cmdb\\_ai\\_ system\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.state\n\n</td><td>\n\nState of the AI Model Asset. Possible values:\n\n-   In use\n-   Deployed\n-   Retired\n-   Development\n-   Unknown\n-   N/A\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI System Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.updated\n\n</td><td>\n\nDate and time that the AI model asset was last updated.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.warning\n\n</td><td>\n\nComma-separated list of warning messages. These warnings can be validation checks, such as when the sys\\_id of an optional parameter is invalid.Data type: Array\n\n```\n\"warnings\": [\"String\"]\n```\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following example shows how to use the POST method to create a new AI prompt according to details provided in the request body.\n\n```\ncurl -X POST 'https://instance.servicenow.com/api/sn_ent/asset/ai_prompt' \\ \n  -H 'Accept: application/json' \\ \n  -H 'Content-Type: application/json' \\ \n  -u 'username':'password' \\ \n  -d '{ \n  \"name\": \"Incident Summarization prompt1\", \n  \"description\": \"Prompt for Incident Summarization\", \n  \"provider\": \"servicenow\", \n  \"version\": \"V1\", \n  \"state\": 31, \n  \"documentation\": \"Document\", \n  \"ai_model\": \"mixtral-instruct\", \n  \"prompt_info\": \"Provide incident summary using short_decription, state, worknotes\", \n  \"managed_by\": \"abel.tuter\" \n }'\n```\n\nResponse body.\n\n```\n{ \n  \"result\": { \n    \"asset\": { \n      \"sys_id\": \"9833721b331e92101c9aca989d5c7bf0\", \n      \"display_name\": \"ServiceNow Incident Summarization prompt1 V1\", \n      \"name\": \"Incident Summarization prompt1\", \n      \"description\": \"Prompt for Incident Summarization\", \n      \"version\": \"V1\", \n      \"provider\": { \n        \"sys_id\": \"93d4ecfac0a8000b6294d71b733977fb\", \n        \"name\": \"ServiceNow\" \n      }, \n      \"documentation\": \"Document\", \n      \"state\": \"Deployed\", \n      \"ai_model\": { \n        \"sys_id\": \"9d7dc7e6eb1e5210aa82fab8bad0cda2\", \n        \"name\": \"mixtral-instruct\" \n      }, \n      \"prompt_info\": \"Provide incident summary using short_decription, state, worknotes\", \n      \"managed_by\": { \n        \"sys_id\": \"62826bf03710200044e0bfc8bcbe5df1\", \n        \"name\": \"Abel Tuter\" \n      }, \n      \"created\": \"2024-12-11 04:23:17\", \n      \"updated\": \"2024-12-11 04:23:17\" \n    }, \n    \"warnings\": [] \n  } \n}\n```\n\n## AI Assets API - POST /sn\\_ent/asset/ai\\_model\n\nCreates a new AI model asset entry in the AI Model Digital Asset \\[alm\\_ai\\_model\\_digital\\_asset\\] and AI Model Product Model \\[cmdb\\_ai\\_model\\_product\\_model\\] tables according to details you provide in the request body.\n\n### URL format\n\nVersioned URL: `/api/sn_ent/{api_version}/asset/ai_model`\n\nDefault URL: `/api/sn_ent/asset/ai_model`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table id=\"id_z5b_fkh_zdc\" class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n\\{object\\}\n\n</td><td>\n\nRequired. Details to apply to the new asset model record.Data type: Object\n\n```\n\"object\": {\n  \"base_model\": {Object},\n  \"context_window:\" \"String\",\n  \"deployment_guideline\": \"String\",\n  \"description\": \"String\", \n  \"documentation\": \"String\",\n  \"evaluation_datasets\": [Array],\n  \"evaluation_metrics_report\": \"String\",\n  \"managed_by\": \"String\", \n  \"model_size_in_mb\": \"String\",\n  \"model_weights_info\": \"String\",\n  \"name\": \"String\",\n  \"parameters_info\": \"String\",\n  \"provider\": \"String\",\n  \"required_infrastructure\": \"String\",\n  \"source\": \"String\",\n  \"state\": Number,\n  \"supported_languages: [Array],\n  \"training_datasets\": [Array],\n  \"training_procedure\": \"String\",\n  \"version\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\n\\{object\\}.base\\_model\n\n</td><td>\n\nAI model that this model version was derived from.**Note:** Only applicable for models developed within the organization.\n\nData type: Object\n\n```\n{\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n }\n```\n\n</td></tr><tr><td>\n\n\\{object\\}.base\\_model.name\n\n</td><td>\n\nName of the AI model asset to model this AI model after.Data type: String\n\n</td></tr><tr><td>\n\n\\{object\\}.base\\_model.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI model asset to model this AI model after.Table: AI Model Digital Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\]\n\nData type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\n\\{object\\}.context\\_window\n\n</td><td>\n\nSize of input sequences \\(in other words, the number of tokens\\) that the model can handle.Data type: Integer\n\nDefault: empty value\n\n</td></tr><tr><td>\n\n\\{object\\}.deployment\\_guideline\n\n</td><td>\n\nInstructions applicable for models developed and deployed within an organization.Data type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\n\\{object\\}.description\n\n</td><td>\n\nDescription to give the AI Model Product Model. Updated table: AI Model Product Model \\[cmdb\\_ai\\_model\\_product\\_model\\]\n\nData type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\n\\{object\\}.documentation\n\n</td><td>\n\nDocumentation of the AI Model Product Model.Data type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\n\\{object\\}.evaluation\\_datasets\n\n</td><td>\n\nComma-separated list of sys\\_ids or display names of AI datasets of the AI datasets used for evaluating the model. Mostly applicable for models developed within an organization.Tables: AI Dataset Digital Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\], AI Model Asset \\[alm\\_ai\\_model\\_digital\\_asset\\]\n\nData type: Array\n\n```\n\"evaluation_datasets\": [\"String\", \"String\"]\n```\n\nValid values:\n\n-   Name of the AI Dataset Digital Asset record.\n-   Sys\\_id of the AI Dataset Digital Asset record.\n\nDefault: empty string\n\n</td></tr><tr><td>\n\n\\{object\\}.evaluation\\_metrics\\_report\n\n</td><td>\n\nReference to the evaluation results located within the text field of the AI model digital asset record. For example:```\nTesting results:  link to the result document\n\nDetails:\nAccuracy: 85%\nHallucination: 10%\nEval Run 1: link\nEval Run 2: link\n\n```\n\nTable: AI model digital asset \\[alm\\_ai\\_model\\_digital\\_asset\\]\n\nData type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\n\\{object\\}.managed\\_by\n\n</td><td>\n\nValue of the 'Managed by' field of an existing record in the User \\[sys\\_user\\] table. Valid values:\n\n-   Name of the User \\[sys\\_user\\] record\n-   Sys\\_id of the User \\[sys\\_user\\] record\n\nData type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\n\\{object\\}.model\\_size\\_in\\_mb\n\n</td><td>\n\nSize of the model in MB. Mostly applicable for models developed and deployed within an organization.Data type: Number\n\nDefault: null or empty\n\n</td></tr><tr><td>\n\n\\{object\\}.model\\_weights\\_info\n\n</td><td>\n\nAdditional model information, if available. Mostly applicable for models developed within an organization.Data type: String\n\nDefault: null or empty\n\n</td></tr><tr><td>\n\n\\{object\\}.name\n\n</td><td>\n\nRequired. Name of the AI Model Product Model. Table: AI Model Product Model \\[cmdb\\_ai\\_model\\_product\\_model\\]\n\nData type: String\n\nDefault: null or empty\n\n</td></tr><tr><td>\n\n\\{object\\}.parameters\\_info\n\n</td><td>\n\nNumber of parameters given to for the model.Data type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\n\\{object\\}.provider\n\n</td><td>\n\nRequired. Sys\\_id or name of the user to assign the Provider field in the AI Model Product Model record.Table: Company \\[core\\_company\\]\n\nData type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\n\\{object\\}.required\\_infrastructure\n\n</td><td>\n\nDocumentation of infrastructure needs for the model deployment. For example, details about the infrastructure stack and processing needs. Mostly applicable for models deployed within an organization.Data type: String\n\nDefault: empty or null\n\n</td></tr><tr><td>\n\n\\{object\\}.source\n\n</td><td>\n\nDetails about the source of who or what created the model.Valid values:\n\n-   Link to the source of the model. For example, `https://huggingface.co/mistralai/Mixtral-8x7B-Instruct-v0.1` or a link to Github.\n-   Details of the source in plain text. For example, `Microsoft Azure`\n\nData type: String\n\nDefault: empty or null\n\n</td></tr><tr><td>\n\n\\{object\\}.state\n\n</td><td>\n\nState to apply to the AI Model Asset.Valid values:\n\n-   In use\n-   Deployed\n-   Retired\n-   Development\n-   Unknown\n-   N/A\n\nData type: String\n\n</td></tr><tr><td>\n\n\\{object\\}.supported\\_languages\n\n</td><td>\n\nComma-separated list of languages that are supported by the AI Model.Data type: Array\n\n```\n\"supported_languages\": [\n  \"String\",\n  \"String\"\n]\n```\n\nValid values:\n\n-   Sys\\_id of the Language \\[sys\\_language\\] record.\n-   Name of the Language \\[sys\\_language\\] record. For example, `\"French\", \"English\"`.\n\nDefault: empty string\n\n</td></tr><tr><td>\n\n\\{object\\}.training\\_datasets\n\n</td><td>\n\nDatasets used to train the AI Model. Comma-separated list of sys\\_ids or display names of the AI Dataset Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\] table. Mostly applicable for models developed within an organization.Data type: Array\n\n```\n\"training_datasets\": [\n  \"String\",\n  \"String\"\n]\n```\n\nDefault: empty string\n\n</td></tr><tr><td>\n\n\\{object\\}.training\\_procedure\n\n</td><td>\n\nNumber indicating the type of training to apply to the AI model.Valid values:\n\n-   `1`: Decision Trees\n-   `2`: Deep Neural Networks\n-   `3`: Linear Regression\n-   `4`: Logistic Regression\n-   `5`: Random Forest\n-   `6`: Supervised Learning\n-   `7`: Unsupervised Learning\n-   `8`: Reinforcement Learning\n-   `9`: Transfer Learning\n-   `10`: Semi-Supervised Learning\n-   `11`: Instruction Finetuning\n-   `12`: Supervised Finetuning\n\nData type: String represented with a number \\(for example, `\"3\"`\\)\n\nDefault: 1: Decision Trees\n\n</td></tr><tr><td>\n\n\\{object\\}.version\n\n</td><td>\n\nVersion for AI Model Product Model. For example, `V2`.Data type: String\n\nDefault: empty string\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|201|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"id_itg_lz3_12c\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nResults of the AI model asset creation.Data type: Object\n\n```\n\"result\": { \n    \"asset\": Object, \n    \"warnings\": [Array], \n } \n```\n\n</td></tr><tr><td>\n\nresult.asset\n\n</td><td>\n\nDetails about the created AI model asset.Data type: Object\n\n```\n\"asset\": {\n  \"base_model\": Object,\n  \"context_window\": String,\n  \"created\": \"String\",\n  \"deployment_guideline\": String,\n  \"description\": \"String\",\n  \"display_name\": \"String\",\n  \"documentation\": \"String\",\n  \"evaluation_datasets\": Array,\n  \"evaluation_metrics_report\": String,\n  \"managed_by\": Object,\n  \"model_size_in_mb\": String,\n  \"name\": \"String\",\n  \"parameters_info\": \"String\",\n  \"provider\": Object,\n  \"required_infrastructure\": String,\n  \"state\": \"String\",\n  \"source\": String, \n  \"supported_languages\": Array,\n  \"sys_id\": \"String\",\n  \"training_datasets\": Array,\n  \"training_procedure\": String,\n  \"updated\": \"String\",\n  \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.asset.base\\_model\n\n</td><td>\n\nInformation about the AI model asset from which this version derived from.Data type: Object\n\n```\n\"base_model\": { \n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.asset.base\\_model.name\n\n</td><td>\n\nDisplay name of AI model asset.Table: AI Model Digital Asset \\[alm\\_ai\\_model\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.base\\_model.sys\\_id\n\n</td><td>\n\nSys\\_id of AI model asset.Table: AI Model Digital Asset \\[alm\\_ai\\_model\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.context\\_window\n\n</td><td>\n\nSize of input sequences that the model can handle. In other words, the number of tokens.Data type: String represented with a number. For example, `\"6000\"`.\n\n</td></tr><tr><td>\n\nresult.asset.created\n\n</td><td>\n\nDate and time that the AI model asset was created.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.deployment\\_guideline\n\n</td><td>\n\nInstructions applicable for models developed and deployed within an organization.Data type: String\n\n</td></tr><tr><td>\n\nresult.asset.description\n\n</td><td>\n\nDescription of the associated AI Model Product Model record.Table: AI Model Product Model \\[cmdb\\_ai\\_model\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.display\\_name\n\n</td><td>\n\nDisplay name of the AI Model Asset record.Table: AI Model Digital Asset \\[alm\\_ai\\_model\\_digital\\_asset\\] \\(display\\_name field\\)\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.documentation\n\n</td><td>\n\nDocumentation of the associated AI Model Product Model record.Table: AI Model Product Model \\[cmdb\\_ai\\_model\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.evaluation\\_datasets\n\n</td><td>\n\nAI datasets used for evaluating the model. Mostly applicable for models developed within an organization.Tables: AI Dataset Digital Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\], AI Model Digital Asset \\[alm\\_ai\\_model\\_digital\\_asset\\]\n\nData type: Array\n\n```\n\"evaluation_datasets\": [\n  { \n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  } \n]\n```\n\n</td></tr><tr><td>\n\nresult.evaluation\\_datasets.name\n\n</td><td>\n\nName of the AI Dataset Digital Asset.Table: AI Model Digital Asset \\[alm\\_ai\\_model\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.evaluation\\_datasets.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI Model Digital Asset record.Table: AI Model Digital Asset \\[alm\\_ai\\_model\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.evaluation\\_metrics\\_report\n\n</td><td>\n\nReference to the evaluation results.Possible values:\n\n-   Details \\(in plain text\\) outlining results\n-   Links to specific results\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.managed\\_by\n\n</td><td>\n\nUser that manages the AI model asset record.Data type: Object\n\n```\n\" managed_by\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.asset.managed\\_by.name\n\n</td><td>\n\nName of the user who manages the AI model asset record.Table: User \\[user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.managed\\_by.sys\\_id\n\n</td><td>\n\nSys\\_id of the user who manages the AI model asset record.Table: User \\[user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.model\\_size\\_in\\_mb\n\n</td><td>\n\nSize of the model in MB. Usually applicable for models developed and deployed within an organization.Data type: Number\n\n</td></tr><tr><td>\n\nresult.asset.name\n\n</td><td>\n\nName of the associated AI Model Product Model record.Table: AI Model Product Model \\[cmdb\\_ai\\_model\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.provider\n\n</td><td>\n\nProvider of the associated AI Model Product Model record.Table: AI Model Product Model \\[cmdb\\_ai\\_model\\_product\\_model\\]\n\nData type: Object\n\n```\n\"provider\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.asset.provider.name\n\n</td><td>\n\nName of the the Company record that corresponds to the provider of the associated AI Model Product Model record.Tables: Company \\[core\\_company\\], AI Model Product Model \\[cmdb\\_ai\\_model\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.provider.sys\\_id\n\n</td><td>\n\nSys\\_id of the Company record that corresponds to the provider of the associated AI Model Product Model record.Tables: Company \\[core\\_company\\], AI Model Product Model \\[cmdb\\_ai\\_model\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.source\n\n</td><td>\n\nDetails about the source of the asset.Valid values:\n\n-   Link to the source of the model. For example, `https://huggingface.co/mistralai/Mixtral-8x7B-Instruct-v0.1` or a link to Github.\n-   Details of the source in plain text. For example, `Microsoft Azure`\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.state\n\n</td><td>\n\nState of the AI Model Asset record.Possible values:\n\n-   In use\n-   Deployed\n-   Retired\n-   Development\n-   Unknown\n-   N/A\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.supported\\_languages.name\n\n</td><td>\n\nName of the supported language.Table: Language \\[sys\\_language\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.supported\\_languages.sys\\_id\n\n</td><td>\n\nSys\\_id of the supported language.Table: Language \\[sys\\_language\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI Model Asset record Table: AI Model Digital Asset \\[alm\\_ai\\_model\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.training\\_datasets\n\n</td><td>\n\nReference to 1+ associated data sets used for training the model.Data type: Array\n\n```\n\"training_datasets\": [\n  { \n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  } \n]\n```\n\n</td></tr><tr><td>\n\nresult.asset.training\\_procedure\n\n</td><td>\n\nA numeric value indicating the type of AI training applied to the model.Possible values:\n\n-   `1`: Decision Trees\n-   `2`: Deep Neural Networks\n-   `3`: Linear Regression\n-   `4`: Logistic Regression\n-   `5`: Random Forest\n-   `6`: Supervised Learning\n-   `7`: Unsupervised Learning\n-   `8`: Reinforcement Learning\n-   `9`: Transfer Learning\n-   `10`: Semi-Supervised Learning\n-   `11`: Instruction Finetuning\n-   `12`: Supervised Finetuning\n\nData type: String represented by a number\n\n</td></tr><tr><td>\n\nresult.asset.updated\n\n</td><td>\n\nDate and time that the AI model asset was last updated.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.version\n\n</td><td>\n\nVersion of the associated AI Model Product Model record.Table: AI Model Product Model \\[cmdb\\_ai\\_model\\_product\\_model table\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.required\\_infrastructure\n\n</td><td>\n\nDocumentation of infrastructure needs for the model's deployment. For example, details about the infrastructure stack and processing needs.Data type: String\n\n</td></tr><tr><td>\n\nresult.asset.parameters\\_info\n\n</td><td>\n\nProperties of the training data that learn during the learning process. For example: `7B` or `30B`.Data type: String\n\n</td></tr><tr><td>\n\nresult.asset.supported\\_languages\n\n</td><td>\n\nDetails about the languages supported by the AI model asset.Table: Language \\[sys\\_language\\]\n\nData type: Object\n\n```\n\"supported_languages\": [\n { \n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.asset.supported\\_languages.name\n\n</td><td>\n\nName of the language that is supported by the asset.Table: Language \\[sys\\_language\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.supported\\_languages.sys\\_id\n\n</td><td>\n\nSys\\_id of the language that is supported by the asset.Table: Language \\[sys\\_language\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.warnings\n\n</td><td>\n\nComma-separated list of warning messages. These warnings can be validation checks, such as when the sysId of an optional parameter is invalid.Data type: Array\n\n```\n\"warnings\": [\"String\"]\n```\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following example creates an AI model asset according to details provided in the request body.\n\n```\ncurl -X POST 'https://instance.servicenow.com/api/sn_ent/asset/ai_prompt' \\ \n  -H 'Accept: application/json' \\ \n  -H 'Content-Type: application/json' \\ \n  -u 'username':'password' \\ \n  -d ' {\n  \"name\": \"Now LLM\",\n  \"description\": \"enables text-to-text like question answering and summarization\",\n  \"provider\": \"servicenow\",\n  \"documentation\": \"Now LLM V5 Documentation\",\n  \"version\": \"V8\",\n  \"parameters_info\": \"7B\",\n  \"supported_languages\": [\n    \"English\",\n    \"French\"\n  ],\n  \"model_size_in_mb\": \"87\",\n  \"deployment_guideline\": \"Deployed on ServiceNow infrastructure\",\n  \"source\": \"https://huggingface.co/mistralai/Mixtral-8x7B-Instruct-v0.1\",\n  \"training_procedure\": \"2\",\n  \"context_window\": \"8000\",\n  \"state\": \"31\",\n  \"base_model\": \"Servicenow Now LLM V6\",\n  \"model_weights_info\": \"refer to weights and biases project\",\n  \"required_infrastructre\": \"GPUs needed: 1, GPU Type: A100\",\n  \"training_datasets\": [\n    \"Servicenow Open Incidents\"\n  ],\n  \"evaluation_datasets\": [\n    \"Servicenow Open Incidents\"\n  ],\n  \"evaluation_metrics_report\": \"Testing results: See files attached to this record\",\n  \"managed_by\": \"abel.tuter\"\n}'\n```\n\nThe response body shows details about the newly created AI model asset, including the resultant sys\\_id.\n\n```\n{\n  \"result\": {\n    \"asset\": {\n      \"sys_id\": \"a438d170ff96da10c1fbffffffffffd5\",\n      \"display_name\": \"ServiceNow Now LLM V6\",\n      \"name\": \"Now LLM\",\n      \"description\": \"enables text-to-text like question answering and summarization\",\n      \"version\": \"V8\",\n      \"provider\": {\n        \"sys_id\": \"93d4ecfac0a8000b6294d71b733977fb\",\n        \"name\": \"ServiceNow\"\n      },\n      \"documentation\": \"Now LLM V5 Documentation\",\n      \"parameters_info\": \"7B\",\n      \"supported_languages\": [\n        {\n          \"sys_id\": \"914493a30f320010e96b0e4fef767e90\",\n          \"name\": \"English\"\n        }\n      ],\n      \"model_size_in_mb\": \"87\",\n      \"deployment_guideline\": \"Deployed on ServiceNow infrastructure\",\n      \"source\": \"https://huggingface.co/mistralai/Mixtral-8x7B-Instruct-v0.1\",\n      \"training_procedure\": \"2\",\n      \"context_window\": \"8000\",\n      \"state\": \"Deployed\",\n      \"required_infrastructure\": \"Servicenow Instance\",\n      \"base_model\": {\n        \"sys_id\": \"a438d170ff96da10c1fbffffffffffd5\",\n        \"name\": \"ServiceNow Now LLM V8\"\n      },\n      \"evaluation_datasets\": [\n        {\n          \"sys_id\": \"45cb45baff06d610c1fbffffffffffa9\",\n          \"name\": \"ServiceNow Open Incidents\"\n        }\n      ],\n      \"training_datasets\": [\n        {\n          \"sys_id\": \"45cb45baff06d610c1fbffffffffffa9\",\n          \"name\": \"ServiceNow Open Incidents\"\n        }\n      ],\n      \"evaluation_metrics_report\": \"Testing results: See files attached to this record\",\n      \"managed_by\": {\n        \"sys_id\": \"62826bf03710200044e0bfc8bcbe5df1\",\n        \"name\": \"Abel Tuter\"\n      },\n      \"created\": \"2024-12-03 16:50:53\",\n      \"updated\": \"2024-12-12 15:56:28\"\n    },\n    \"warnings\": [\n      \"Reference record 'French' not found for supported_languages in table sys_language\"\n    ]\n  }\n}\n```\n\n## AI Assets API - POST /sn\\_ent/asset/ai\\_system\n\nCreates a new AI system asset entry in the AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\] and AI System Product Model \\[cmdb\\_ai\\_system\\_product\\_model\\] tables according to details you provide in the request body.\n\n### URL format\n\nVersioned URL: `/api/sn_ent/{api_version}/asset/ai_system`\n\nDefault URL: `/api/sn_ent/asset/ai_system`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table id=\"id_ack_2dh_zdc\" class=\"rest_api_request_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nobject\n\n</td><td>\n\nRequired. Details to update in the AI system.Data type: Object\n\n```\n{ \n  \"name\": \"String\", \n  \"description\": \"String\", \n  \"provider\": \"String\", \n  \"version\": \"String\", \n  \"state\": Number, \n  \"documentation\": \"String\", \n  \"ai_models\": \"String\", \n  \"ai_prompts\": \"Strings\", \n  \"evaluation_datasets\": [Array], \n  \"evaluation_metrics_report\": \"String\", \n  \"managed_by\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nobject.name\n\n</td><td>\n\nRequired. Name for the AI System Product Model.Data type: String\n\n</td></tr><tr><td>\n\nobject.description\n\n</td><td>\n\nDescription for the AI System Product Model.Data type: String\n\n</td></tr><tr><td>\n\nobject.provider\n\n</td><td>\n\nRequired. Sys\\_id or name value of the Provider field of the Company \\[core\\_company\\] table record.Data type: String\n\n</td></tr><tr><td>\n\nobject.state\n\n</td><td>\n\nState to apply to the AI System Asset. Valid values:\n\n-   In use\n-   Deployed\n-   Retired\n-   Development\n-   Unknown\n-   N/A\n\nData type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\nobject.version\n\n</td><td>\n\nVersion for AI System Product Model. For example, `V2`.Data type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\nobject.documentation\n\n</td><td>\n\nDocumentation of the AI System Asset.Data type: String\n\nDefault:\n\n</td></tr><tr><td>\n\nobject.ai\\_models\n\n</td><td>\n\nComma-separated list of names or sys\\_ids of the AI Model Digital Asset record, where each string represents an AI Model field value of an existing AI Model Digital Asset record.Table: AI Model Digital Asset \\[alm\\_ai\\_model\\_digital\\_asset\\]\n\nData type: Array of Strings\n\n```\n\"ai_models\": [{String\", \"String\"}]\n```\n\nDefault: empty string\n\n</td></tr><tr><td>\n\nobject.evaluation\\_datasets\n\n</td><td>\n\nComma-separated list of names or sys\\_ids of the AI datasets used for evaluating the AI System Asset record. Mostly applicable for models developed within an organization.Tables: AI Dataset Digital Asset \\[alm\\_ai\\_dataset\\_digital\\_asset\\], AI System Asset \\[AI System Digital Asset alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: Array of Strings\n\n```\n\"evaluation_datasets\": [{String\", \"String\"}]\n```\n\nDefault: empty string\n\n</td></tr><tr><td>\n\nobject.evaluation\\_metrics\\_report\n\n</td><td>\n\nReference to the evaluation results located within the text field of the AI system asset record. For example:```\nTesting results:  link to the result document\n\nDetails:\nAccuracy: 85%\nHallucination: 10%\nEval Run 1: link\nEval Run 2: link\n```\n\nTable: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: String\n\nDefault: empty string\n\n</td></tr><tr><td>\n\nobject.managed\\_by\n\n</td><td>\n\nSys\\_id or name of the 'Managed by' field of an existing User \\[sys\\_user\\] table record.Data type: String\n\nDefault: empty string\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nResults of the new AI system asset.Data type: Object\n\n```\n\"result\": {\n  \"asset\": Object,\n  \"warnings\": [Array]\n}\n```\n\n</td></tr><tr><td>\n\nresult.asset\n\n</td><td>\n\nDetails about the newly created entry.Data type: Object\n\n```\n\"asset\": {\n  \"ai_model\": [Array],\n  \"ai_prompts\": [Array]\n  \"created\": \"String\",\n  \"description\": \"String\",\n  \"display_name\": \"String\",\n  \"documentation\": \"String\",\n  \"evaluation_datasets\": [Array],\n  \"evaluation_metrics_report\": String,\n  \"managed_by\": Object,\n  \"name\": \"String\",\n  \"provider\": Object,\n  \"state\": \"String\",\n  \"sys_id\": \"String\",\n  \"updated\": \"String\",\n  \"version\": \"String\",\n  \"warnings\": [Array]\n}\n```\n\n</td></tr><tr><td>\n\nresult.asset.ai\\_models\n\n</td><td>\n\nList of AI models in the AI System Digital Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: Array\n\n```\n\"ai_models\": [\n  {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.asset.ai\\_models.name\n\n</td><td>\n\nName of the AI System Digital Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.ai\\_models.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI System Digital Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.ai\\_prompts\n\n</td><td>\n\nList of AI Prompts of the AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\] record.Data type: Array\n\n```\n\"ai_prompts\": [\n  {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.asset.ai\\_prompts.name\n\n</td><td>\n\nName of the AI prompt.Data type: String\n\n</td></tr><tr><td>\n\nresult.asset.ai\\_prompts.sys\\_id\n\n</td><td>\n\nSys\\_id of the AI System Digital Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.created\n\n</td><td>\n\nDate and time that the AI model asset was created.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.description\n\n</td><td>\n\nDescription of the associated AI System Product Model record. Table: AI System Product Model \\[cmdb\\_ai\\_system\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.display\\_name\n\n</td><td>\n\nDisplay name of the AI System Asset record.Table: AI System Digital Asset \\[alm\\_ai\\_system\\_digital\\_asset\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.documentation\n\n</td><td>\n\nDocumentation for the associated AI System Product Model record.Table: AI System Product Model \\[cmdb\\_ai\\_ system\\_product\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.asset.evaluation\\_datasets\n\n</td><td>\n\nLis
[...]
